package run.evan.modemcrack;

import de.robv.android.xposed.IXposedHookLoadPackage;
import de.robv.android.xposed.XC_MethodHook;
import de.robv.android.xposed.XposedBridge;
import de.robv.android.xposed.XposedHelpers;
import de.robv.android.xposed.callbacks.XC_LoadPackage;

public class MtbCracker implements IXposedHookLoadPackage {
    @Override
    public void handleLoadPackage(XC_LoadPackage.LoadPackageParam loadPackageParam) throws Throwable {
        // 判断当前启动的目标程序是否是要hook的应用程序
        if (loadPackageParam.packageName.equals("com.xiaomi.mtb")) {
            XposedBridge.log("MtbCracker init");
            XposedHelpers.findAndHookMethod("com.xiaomi.mtb.XiaoMiServerPermissionCheck", loadPackageParam.classLoader, "onGetInitPermissionClass", new XC_MethodHook() {
                @Override
                protected void beforeHookedMethod(MethodHookParam param) throws Throwable {
                    super.beforeHookedMethod(param);
                }

                @Override
                protected void afterHookedMethod(MethodHookParam param) throws Throwable {
                    super.afterHookedMethod(param);
                    param.setResult(0L);
                }
            });
        }
    }

}
